- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QwtPlotDict Class Reference

Inheritance diagram for QwtPlotDict:

[legend]
List of all members.

## Detailed Description

A dictionary for plot items.

QwtPlotDict organizes plot items in increasing z-order. If autoDelete() is enabled, all attached items will be deleted in the destructor of the dictionary.

See also:
  QwtPlotItem::attach(), QwtPlotItem::detach(), QwtPlotItem::z()

Definition at line 37 of file qwt_plot_dict.h.

## Public Member Functions
| QwtPlotDict ()
| ~QwtPlotDict ()
void | setAutoDelete (bool)
bool | autoDelete () const
const QwtPlotItemList & | itemList () const
void | detachItems (int rtti=QwtPlotItem::Rtti_PlotItem, bool autoDelete=true)
## Friends
class | QwtPlotItem

## Constructor & Destructor Documentation

QwtPlotDict::QwtPlotDict | ( |  | ) | `[explicit]`

| Constructor Auto deletion is enabled. See also: setAutoDelete, attachItem Definition at line 94 of file qwt_plot_dict.cpp.

QwtPlotDict::~QwtPlotDict | ( |  | ) |

| Destructor If autoDelete is on, all attached items will be deleted See also: setAutoDelete, autoDelete, attachItem Definition at line 106 of file qwt_plot_dict.cpp. References detachItems().

## Member Function Documentation

bool QwtPlotDict::autoDelete | ( |  | ) | const

| Returns: true if auto deletion is enabled See also: setAutoDelete, attachItem Definition at line 129 of file qwt_plot_dict.cpp. Referenced by QwtPlot::~QwtPlot().

void QwtPlotDict::detachItems | ( | int | rtti = `QwtPlotItem::Rtti_PlotItem`,
|  | bool | autoDelete = `true`
| ) |

  | Detach items from the dictionary Parameters:
  | rtti | In case of QwtPlotItem::Rtti_PlotItem detach all items otherwise only those items of the type rtti.
  | autoDelete | If true, delete all detached items
Definition at line 161 of file qwt_plot_dict.cpp. Referenced by QwtPlot::clear(), QwtPlot::~QwtPlot(), and ~QwtPlotDict().

const QwtPlotItemList & QwtPlotDict::itemList | ( |  | ) | const

| Returns: List of all attached plot items Definition at line 181 of file qwt_plot_dict.cpp. Referenced by QwtPlot::drawItems(), QwtPlot::insertLegend(), and QwtPlot::updateAxes().

void QwtPlotDict::setAutoDelete | ( | bool | autoDelete | ) |

| En/Disable Auto deletion If Auto deletion is on all attached plot items will be deleted in the destructor of QwtPlotDict. The default value is on. See also: autoDelete, attachItem Definition at line 120 of file qwt_plot_dict.cpp.